from setuptools import setup, find_packages
import os
from os.path import join

name = 'eea.soer'
path = name.split('.') + ['version.txt']
version = open(join(*path)).read().strip()

setup(name='eea.soer',
      version=version,
      description="",
      long_description=open("README.txt").read() + "\n" +
                       open(os.path.join("docs", "HISTORY.txt")).read(),
      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      keywords='SENSE soer eea stateoftheenvironment rdf linkeddata',
      author='European Environment Agency',
      author_email='webadmin@eea.europa.eu',
      url='http://svn.eionet.europa.eu/projects/Zope',
      license='GPL',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['eea'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          'BeautifulSoup',
          'eea.jquery',
          'eea.vocab',
          'eea.rdfmarshaller',
          'eea.facetednavigation',
          'eea.faceted.inheritance',          
          'Products.ATVocabularyManager',
          'lxml'
      ],
      entry_points="""
      # -*- Entry points: -*-
      """,
      )
